Chargement...
 
[Voir/Cacher menus de gauche]
[Voir/Cacher menus de droite]

1 - Le matériel et les pilotes ALSA, FFADO, ...

Dernier post
Page : 1/2   -   Aller directement à la page : 1  2 

[RÉSOLU] emu 0404 sauce debian...

labouine utilisateur non connecté
Bonjour tous les gens,

Après trois jours de vadrouille sur les forums et de tests sur ma machine: ma carte son ne fonctionne toujours pas. J'ai cru comprendre que la version 10.16 d'alsa etait necessaire (voire la 15 patchée), apparement mon kernel (2.6.18) aime pas ces versions ou alors je m'y suis mal pris.


Quelques infos que je ne comprends pas trop.
lsmod | grep snd

[+]

alsaconf me renvoie systématiquement:
amixer: Mixer attach default error: No such device



Alsa mixer ne fonctionne pas avec l'emu10k1. Par contre dès que je remets la via82xx intégrée grâce à alsaconf tout marche
J'ai vu a plusieurs reprises des solutions de recompilation de noyau, de suppression totale d'Alsa.... Ca M'fout les glandes un ptit peu tout ça, pour faire simple.
Un ptit coup de pouce serait le bienvenu
merci d'avance

labouine utilisateur non connecté
Pas d'idées les specialistes????

rolleyes

Mysth-R utilisateur non connecté France
Comment as tu fais pour compiler alsa ?
Peut etre qu'alsa est compilé en Dur dans ton Kernel, et du coup il y a un conflit.

labouine utilisateur non connecté
Salut mysth-R,
Je sors un peu de l'oeuf avec linux, j'ai suivi la procédure indiquée sur cette page pour ubuntu: http://doc.ubuntu-fr.org/emu0404 , A partir de "Compiler alsa-drivers" ça n'a pas marché.


J'ai lu qu'il est nécessaire de virer complètement alsa avant d'en installer un nouveau.. Peut-être est-ce ce dont tu me parles concernant le conflit. Le problème c'est que je ne sais pas comment virer alsa autrement qu'avec synaptic et qu'il est j'imagine préferable de le faire proprement en console....
J'ai trouvé cette page http://www.alsa-project.org/main/index.php/Matrix:Module-emu10k1 , peut-être est-ce une piste?

Je suis à l'écoute pour les commandes ou un lien qui m'explique tout ça.

labouine utilisateur non connecté
__jJe réessaie l'installation histoire de bien me faire comprendre: via cette page: http://www.alsa-project.org/main/index.php/Matrix:Module-emu10k1-fpga

Lorsque je lance le
./configure --with kernel=/usr --with-cards=emu10k1 --with-sequencer=yes
la console me renvoie ceci:

[+]

j'essaierais bien de virer alsa 1.0.13 via synaptic histoire de passer ce cap, qu'en pensez vous?

youki utilisateur non connecté
Citation :
Le problème c'est que je ne sais pas comment virer alsa autrement qu'avec synaptic et qu'il est j'imagine préferable de le faire proprement en console....


Je peux pas trop t'aider, mais au sujet du quote que je viens de mettre, si tu desinstalles avec Synaptic en utilisant l'option "Selectionner pour suppression complete", il me semble que c'est aussi propre que de faire un apt-get remove --purge nom_du_paquet en console.
Synaptic n'est qu'une interface graphique d'apt, c'est donc ni plus ni moins propre que la console.
Apres c'est une question de gout.

labouine utilisateur non connecté
oki merci youki je m'lance alors, je vire ces foutus paquets alsa et si je ne reviens que demain sur le forum c'est que c'est le bordel dans ma tête et dans la machine

labouine utilisateur non connecté
Bon c'est exactement le même résultat.. a vrai dire je m'en doutais, il semble que alsa fasse partie integrante du noyau 2.6.18 installé sur ma machine... cry
ca s'annonce un peu plus compliqué, je n'avais pas trop envie de toucher au noyau..
Des pistes par chez vous?

Norrin_Radd utilisateur non connecté France
configure: error: You have built-in ALSA in your kernel.

Oui en effet.

Ta version de noyau (2.6.18) me paraît un peu ancienne, il n'y a pas possibilité d'installer une mise à jour ? Pour info on est en 2.6.25 actuellement.

Si tu es un newbie, compiler un noyau RT est un peu intimidant je reconnais et on peut perdre bcp de temps. L'idéal serait de mettre à jour ta distribution.

labouine utilisateur non connecté
Mettre a jour ma distrib, qui est une etch donc, voudrait dire passer en lenny...
Pourquoi pas, apparement c'est juste une histoire de sources-list... ca me parrait faisable.
A savoir si alsa doit etre recompilé avec cette nouvelle version ou non.
Je vois ca demain et merci pour les infos, je vous tient au jus de mes avancées

Norrin_Radd utilisateur non connecté France
Petite info en passant, Studio64 est une distribution compatible avec Etch. Plutôt que de passer à Lenny, tu peux aussi envisager d'ajouter les dépôts Studio64 de la branche stable et ainsi bénéficier d'un noyau et ALSA récents.

labouine utilisateur non connecté
Cool l'info, mais trop tard... je viens de passer en lenny.. c'est joli, je ne vais pas lancer un troll mais bon ca semble un peu deja vu...
Le gros hic c'est que alsaconf me renvoie le même problème que sous debian je suis un peu vertmrgreen. je viens de passer deux heures a gerer l'install de lenny pour arriver à ça lorsque je lance alsaconf (je suis mauvaise langue j'ai alsa 1.0.16 d'installé maintenant):

[+]

Alors qu'il me reconnais bien ma carte a la base
Si ça vous parle merci de m'aiguiller
A+

Norrin_Radd utilisateur non connecté France
Essayes de désactiver la via82xx dans le bios. Ca rendra la situation plus claire car je vois dans ton premier message qu'un module est chargé pour cette carte en même temps que l'emu10k1.



labouine utilisateur non connecté
Merci pour suivre avec moi le chantier
je venais de la desactiveridea et compte réinstaller alsa via cette méthode http://www.alsa-project.org/main/index.php/Matrix:Module-emu10k1-fpga et voir ce que ça donne, je te tiens au jus

En fait j'me retrouve coincé après plusieurs lignes checking......yes par:
The file /usr/src/linux/include/linux/version.h does not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /usr/src/linux).


il existe bien ce version.h mais sous /usr/include/linux je choisi le deuxième et la rebelote avec autoconf.h:
The file /usr/include/linux/autoconf.h does not exist.
Please install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /usr/src/linux).


ca m'retourne le crane

Je ne le trouve pas dans mon système, mauvaise installation de lenny?

labouine utilisateur non connecté
Je relance une petite idée, n'y aurait-il pas conflit entre mes anciens noyaux 2.6.18-4 & -6 de etch et son alsa intégré et celui nouvellement installé de lenny le 2.6.24-1
Si oui comment est-ce que je peux virer ces anciens kernel proprement?
je dis certainement n'importe quoi, mais qui ne tente rien.....rolleyes

En attendant j'ai réinstallé alsa1.0.16 tout neuf et toujours rien... ou plutôt si je n'ai aucun des trois modules installés qui apparaissent dans synaptic... est-ce normal?

Un petit tour dans le visionneur journaux système et un filtre sur "emu" me donne:
/src/alsa/alsa-driver-1.0.16/pci/emu10k1/emu10k1_main.c:822: emu1010: Special config.
/src/alsa/alsa-driver-1.0.16/pci/emu10k1/emu10k1_main.c:861: emu1010: EMU_HANA_ID=0x3f
/src/alsa/alsa-driver-1.0.16/pci/emu10k1/emu10k1_main.c:880: emu1010: filename emu/emu404.fw testing
/src/alsa/alsa-driver-1.0.16/pci/emu10k1/emu10k1_main.c:885: emu1010: Loading Firmware file emu/emu0404.fw failed


Je surnage.........................

Norrin_Radd utilisateur non connecté France
Cherche pas je crois comprendre ce qui va pas:
/src/alsa/alsa-driver-1.0.16/pci/emu10k1/emu10k1_main.c:885: emu1010: Loading Firmware file emu/emu0404.fw failed


Il te manque le fichier firmware. J'ai une fois aidé un gars sur IRC qui avait le même problème que toi sous Debian, sa carte RME ne fonctionnait pas. Il s'est avéré tout simplement que les fichiers firmwire (qui sont nécessaires pour certaines cartes) n'étaient pas présents.

Il semble, simple hypothèse de ma part, que Debian refuse de les distribuer car ces fichiers ne sont pas libres. Enfin je m'avance peut-être mais le gars n'a pas trouvé de paquet alsa-firmwire sur synaptic et il a du l'installer manuellement.

Voilà donc je pense que tu as exactement le même soucis.

Essaye de te renseigner, sinon il faut que tu installes ces fichiers manuellement ce qui n'est pas insurmontable, ils sont sur le site ALSA.

Mysth-R utilisateur non connecté France
Oui c'est fort probable que ce soit un problème de firmware. Je sais que ma carte son (Mia-midi) ne fonctionne pas non plus sans ce paquet alsa-firmware.
En principe ce n'est pas compliquer à installer.

labouine utilisateur non connecté
J'avais le paquet alsa-firmware loader 1.0.16.1 d'installé (source /contrib). je le désinstalle et réessaye avec celui du site d'alsa.

Chose faite, j'avais déconnecté ma carte son intégrée dans le bios, puis l'avais remise sans que je puisse l'utiliser depuis deux jours. Après recompile de firmware alsa drivers et consorts elle est réapparue et fonctionne mais la emu toujours pas!!! Par contre Alsamixer fonctionne bien, enfin de l'avancement....smile
toujours le même message dans mon visionneur journaux système....
J'aimerais bien virer proprement tout le lot alsa et les headers que j'ai compilé manuellement, pour pouvoir tout réinstaller tranquillement.. Dans quel ordre faut-il agir????question

Norrin_Radd utilisateur non connecté France
Tant que tu as l'erreur "emu10k1: Loading Firmware file emu/emu0404.fw failed" ta carte ne marchera pas. Il faut concentrer ses efforts la dessus et découvrir pourquoi même avec le paquet alsa-firmware loader 1.0.16.1 d'installé cela ne marche pas. Petite remarque en passant le nom du paquet semble indiqué qu'il s'agit d'un "loader", mais contient-il les firmware pour autant.

Il faut que tu le réinstalles et que dans synaptic tu regardes dans la liste des fichiers qu'il a installés si il y a bien le fichier "emu404.fw".

Non seulement il te faut se fichier mais il faut qu'il soit installé au bon endroit. Je ne sais pas où c'est mais peut-être /usr/share/alsa/firmware

Enfin déjà il te faut mettre la main sur emu404.fw !

Mysth-R utilisateur non connecté France
Il me semble que j'ai déjà vu un paquet spécifique pour les cartes emu... mais je ne sais plus trop et je ne sais pas à quoi ça sert.


Mysth-R utilisateur non connecté France
Je viens de faire une petite recherche dans mon gestionnaire de paquet sur OpenSuse, et il existe un paquet qui s'appelle :

openal-alsa-emu10k1

il y a aussi awesfx, emu-tools ... quelques pistes à explorer

Page : 1/2  [Suivant]
1  2 
Afficher les articles :
Aller au forum :

Documentation [Afficher / Cacher]

Faire un don
[Afficher / Cacher]

Connexion
[Afficher / Cacher]



Mégaphone [Afficher / Cacher]

bluedid29, 19:24, ven. 24 Jun 2022: Et hop,distribution LibraZiK-4 installée à partir de Debian 11 Voyager, y'a plus qu'à tester ! Bon week-end :-)
olinuxx, 20:50, mer. 22 Jun 2022: Bonjour et bienvenue à agp cool
olinuxx, 22:35, ven. 17 Jun 2022: Bonjour et bienvenue à lerenti cool
Haldolcoma, 01:51, mar. 14 Jun 2022: Il y a un djinn dans ma machine
olinuxx, 17:52, sam. 11 Jun 2022: Bonjour et bienvenue à Haldolcoma cool
BertoX, 01:53, sam. 11 Jun 2022: Bonjour ! Ou bonne nuit pour la métropole :-) Difficile de savoir par ou commencer tellement il y a de choses a découvrir !!
sub26nico, 22:54, mar. 07 Jun 2022: Un éditorial, ou que dalle :-)
r1, 21:08, mar. 07 Jun 2022: Hannibal, Pascal, Perceval, Christobal, Martial et Tugdual lisent l'éditorial avec régal (c'est qui lui ?)
allany, 16:37, mar. 07 Jun 2022: Pour les neurones, le meilleur casse-dalle, c'est l'éditorial ! [Lien]
olinuxx, 12:14, sam. 28 mai 2022: @anonyme304 : regarde en haut du site, et clique sur "Forums de discussions". Ensuite, va dans la section qui te semble la plus appropriée et fais "nouveau sujet".
anonyme304, 10:08, sam. 28 mai 2022: Bonjour, je suis jeune et je n'y connais pas grand chose donc pouvez vous me dire sur quel forum je trouverai ses informations. Bonne journée Merci
anonyme304, 10:04, sam. 28 mai 2022: Bonjour, j'ai ubuntu 20.04. Je n'y connais pas grand chose. je suis sur LMMS j'ai réussi a connecter mon clavier maître dessus mais je n'arrive pas a faire sortir le son par les hauts parleur de mon ordinateur le son dort que par le haut parleur de mo